/*
    Copyright (C) 2002, Steve Lhomme <steve.lhomme @ free.fr>
    This file is part of mpa2wav.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Foobar; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
/**
    \file
*/

#include "FourCC.h"

START_M2W_NAMESPACE

FourCC::FourCC(char one, char two, char three, char four)
{
    val[0] = one;
    val[1] = two;
    val[2] = three;
    val[3] = four;
}

FourCC::FourCC(void *buffer)
{
    char * value = (char *)(buffer);

    val[0] = value[0];
    val[1] = value[1];
    val[2] = value[2];
    val[3] = value[3];
}

FourCC::~FourCC()
{}

bool FourCC::operator==(const FourCC & other) const
{
    return (val[0] == other.val[0] &&
            val[1] == other.val[1] &&
            val[2] == other.val[2] &&
            val[3] == other.val[3]);
}

bool FourCC::operator!=(const FourCC & other) const
{
    return (val[0] != other.val[0] ||
            val[1] != other.val[1] ||
            val[2] != other.val[2] ||
            val[3] != other.val[3]);
}

END_M2W_NAMESPACE
